Package org.apache.sling.testing.clients.util

# Class JsonUtils

java.lang.Object
org.apache.sling.testing.clients.util.JsonUtils

public class JsonUtils extends Object

## Constructor Summary

Constructors
Constructor
Description
`JsonUtils()`

## Method Summary

Modifier and Type
Method
Description
`static com.fasterxml.jackson.databind.JsonNode`
`getJsonNodeFromString(String jsonString)`
Get `JsonNode` from a a String containing JSON.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JsonUtils

public JsonUtils()

## Method Details

### getJsonNodeFromString

public static com.fasterxml.jackson.databind.JsonNode getJsonNodeFromString(String jsonString) throws TestingIOException
Get `JsonNode` from a a String containing JSON.

Parameters:
  `jsonString` - A string containing JSON
Returns:
  A `JsonNode` that is the root node of the JSON structure.
Throws:
  `TestingIOException` - if error occurs while reading json string